package com.gic.store.constant;

/**
 * @author guojx
 * @date 2019/7/2 4:34 PM
 */
public enum StoreFieldDateEnum {
    YMD(1, "年月日"),
    YM(2, "年月"),
    MD(3, "月日"),
    YMDHms(4, "年月日时分秒"),
    Hms(5, "时分秒"),
    Hm(6, "时分");

    private int code;
    private String message;

    private StoreFieldDateEnum(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
}
