package com.gic.store.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * @author zhiwj
 * @date 2019/6/24
 */
public class StoreFieldDTO implements Serializable {
    private static final long serialVersionUID = -3194005371537750579L;

    /**
     *
     */
    private Integer storeFieldId;

    /**
     * 属性名称
     */
    private String storeFieldName;

    /**
     * 属性code
     */
    private String storeFieldCode;

    /**
     * 字段类型；1文本   2单选  3多选  4实数  5时间
     */
    private Integer storeFieldType;

    /**
     *
     */
    private Integer enterpriseId;

    /**
     * 门店域id
     */
    private String storeRegionId;

    /**
     *
     */
    private Integer status;

    /**
     *
     */
    private Date createTime;

    /**
     *
     */
    private Date updateTime;

    /**
     * 字段详细配置
     */
    private String storeFieldDetail;

    /**
     * 与ERP映射的门店字段
     */
    private String erpRelCode;

    /**
     * 排序字段
     */
    private Double sort;
    /**
     * 排序值
     */
    private Integer seq;

    public Integer getStoreFieldId() {
        return storeFieldId;
    }

    public void setStoreFieldId(Integer storeFieldId) {
        this.storeFieldId = storeFieldId;
    }

    public String getStoreFieldName() {
        return storeFieldName;
    }

    public void setStoreFieldName(String storeFieldName) {
        this.storeFieldName = storeFieldName;
    }

    public String getStoreFieldCode() {
        return storeFieldCode;
    }

    public void setStoreFieldCode(String storeFieldCode) {
        this.storeFieldCode = storeFieldCode;
    }

    public Integer getStoreFieldType() {
        return storeFieldType;
    }

    public void setStoreFieldType(Integer storeFieldType) {
        this.storeFieldType = storeFieldType;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStoreRegionId() {
        return storeRegionId;
    }

    public void setStoreRegionId(String storeRegionId) {
        this.storeRegionId = storeRegionId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStoreFieldDetail() {
        return storeFieldDetail;
    }

    public void setStoreFieldDetail(String storeFieldDetail) {
        this.storeFieldDetail = storeFieldDetail;
    }

    public String getErpRelCode() {
        return erpRelCode;
    }

    public void setErpRelCode(String erpRelCode) {
        this.erpRelCode = erpRelCode;
    }

    public Double getSort() {
        return sort;
    }

    public void setSort(Double sort) {
        this.sort = sort;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }
}
